<?php

/*

Plugin Name: My Simple Tubes
Plugin URI: http://gadgets-code.com
Description: A widget which allows you to show and rotate your own youtube videos on your blog sidebar
Version: 1.0
Author: Gadgets-Code.Com
Author URI: http://gadgets-code.com

*/


/* Copyright 2010 Gadgets-Code.Com (e-mail : morning131@hotmail.com) 
 
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, please visit <http://www.gnu.org/licenses/>.

*/
  

 function myvideo_init() {

  register_widget('my_video');

 } 

 add_action('widgets_init', 'myvideo_init');


 class my_video extends WP_Widget {

  function  my_video() {
   $widget_ops = array('classname'=>'my_video', 'description'=>'My Video Widget');
   parent::WP_Widget('my-video', __('Video Widget'), $widget_ops); 
  }

  function widget($args, $instance) {
    
    $title=$instance['title'];

    $vidurlb1 = apply_filters('vid_one',empty($instance['vidurl1'])?'http://www.youtube.com/watch?v=ue8AO2tEhz8':$instance['vidurl1']);
    $vidurla1 = $vidurlb1;
    $vidurlb2 = apply_filters('vid_two',empty($instance['vidurl2'])?'http://www.youtube.com/watch?v=bGByVU4j-Zs':$instance['vidurl2']);
    $vidurla2 = $vidurlb2;

    $videolinksb = array($vidurlb1,$vidurlb2); 
    $videolinksa = array($vidurla1,$vidurla2);

    $randomvideo = rand(0,1);

    for($i=0;$i<2;$i++){

     if($i==$randomvideo) {

      $vidurla = $videolinksa[$i];
      $vidurlb = $videolinksb[$i];
      break;     
     
      }
      
     }
 
  
    $vidurla = str_replace("=","/",str_replace("watch?","",$vidurla));
    
    extract($args);
    echo $before_widget;
     
    echo "<div style=\"float:left;\"><object width=\"290\" height=\"200\" hspace=\"1\" vspace=\"1\">
           <param name=\"movie\" value=$vidurla.\"?fs=1\"></param>
           <param name=\"allowfullscreen\" value=\"false\"></param>
           <param name=\"allowscriptaccess\" value=\"always\"></param>
           <param name=\"play\" value=\"false\"></param>
           <param name=\"loop\" value=\"false\"></param>
           <embed src=$vidurla.\"?fs=1\" type=\"application/x-shockwave-flash\" allowscriptaccess=\"always\" allowfullscreen=\"false\" width=\"290\" hspace=\"1\" vspace=\"1\" height=\"200\" play=\"false\" loop=\"false\"></embed>
          </object></div>";
    echo "<div style=\"float:left;margin-right:1px;font-family: fantasy, verdana, sans-serif; font-size:1em; font-weight:bold;color:white;background-color:grey;\">"
          ."<div style=\"padding:2px;\">".$title."</div>"."</div>";
     
    echo "<a href=\"http://twitter.com/share\" class=\"twitter-share-button\" data-url=$vidurlb data-count=\"none\">Tweet</a><script type=\"text/javascript\" src=\"http://platform.twitter.com/widgets.js\"></script>";
          
     echo $after_widget;
    
   }

  function form($instance)  {
     $instance = wp_parse_args( (array) $instance, array(
                   'title' => 'My Own Video',
                   'vidurl1' => 'http://www.youtube.com/watch?v=ue8AO2tEhz8',
                   'vidurl2' => 'http://www.youtube.com/watch?v=bGByVU4j-Zs'
                   
   ));
?>
     <p>
     <label for="<?php echo $this->get_field_id('title');?>">Title:</label>
     <input class="widefat" id="<?php echo $this->get_field_id('title');?>" name="<?php echo $this->get_field_name('title');?>"
     type="text" value="<?php echo $instance['title'];?>"/> 
     </p>

     <p>
     <label for="<?php echo $this->get_field_id('vidurl1');?>">Video Share Links 1:</label>
     <input class="widefat" id="<?php echo $this->get_field_id('vidurl1');?>" name="<?php echo $this->get_field_name('vidurl1');?>"
     type="text" value="<?php echo $instance['vidurl1'];?>"/>
     </p>

     <p>
     <label for="<?php echo $this->get_field_id('vidurl2');?>">Video Share Links 2:</label>
     <input class="widefat" id="<?php echo $this->get_field_id('vidurl2');?>" name="<?php echo $this->get_field_name('vidurl2');?>"
     type="text" value="<?php echo $instance['vidurl2'];?>"/>
     </p>
     
     
 
 <?php
   }
  

  function update($new_instance, $old_instance) {
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['vidurl1'] = strip_tags($new_instance['vidurl1']);
    $instance['vidurl2'] = strip_tags($new_instance['vidurl2']);
    
    return $instance;
   }
  }    
?>